<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************

     created by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 31..03.2005

     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="html"
  encoding="ISO-8859-1"
  doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
  doctype-system="http://www.w3.org/TR/html401/loose.dtd"/>

<xsl:variable name="bilderpfad">pics</xsl:variable>
<xsl:variable name="album">Hasbruch 1</xsl:variable>

<xsl:template match="Fotoalbum">
<html>
  <head>
    <title>Mithis Fotoalbum - <xsl:value-of select="$album"/></title>
    <meta name="generator" content="XSLT"/>
    <meta name="author" content="Michael Cordes"/>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1"/>
    <link rel="shortcut icon" href="/privat/favicon.ico" type="image/x-icon"/>
    <link rel="stylesheet" type="text/css" href="layout.css"/>
  </head>
  <body>
    <h1>Mithis Fotoalbum</h1>
    <h2><xsl:value-of select="$album"/></h2>
        <xsl:apply-templates select="Foto"></xsl:apply-templates>
  </body>
</html>
</xsl:template>

<xsl:template match="Foto">
  <xsl:variable name="thumbnail">
    <xsl:value-of select="$bilderpfad"/>
    <xsl:text>/</xsl:text>
    <xsl:value-of select="ID"/>
    <xsl:text>-thumb.jpg</xsl:text>
  </xsl:variable>
  <xsl:variable name="bild">
    <xsl:value-of select="$bilderpfad"/>
    <xsl:text>/</xsl:text>
    <xsl:value-of select="ID"/>
    <xsl:text>.jpg</xsl:text>
  </xsl:variable>
  <xsl:if test="contains(Album, $album)">
    <div class="foto">
      <xsl:element name="a">
        <xsl:attribute name="href">
          <xsl:value-of select="$bild"/>
        </xsl:attribute>
            <xsl:element name="img">
              <xsl:attribute name="src">
                <xsl:value-of select="$thumbnail"/>
              </xsl:attribute>
              <xsl:attribute name="title">
                <xsl:value-of select="Titel"/>
              </xsl:attribute>
              <xsl:attribute name="alt">
                <xsl:value-of select="Titel"/>
              </xsl:attribute>
            </xsl:element>
      </xsl:element>
      <br/><br/>
      <xsl:value-of select="Beschreibung"/>
    </div>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>

